﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SLViewModel
{
    public partial class ContactDetailsView : UserControl
    {
        public ContactDetailsView()
        {
            InitializeComponent();

            ContactDetails details = new ContactDetails()
            {
                Company = "Scott Logic Ltd.",
                Email = "ceberhardt@scottlogic.co.uk",
                Url = "http://www.scottlogic.co.uk",
                Country = "UK",
                FullName = "Colin Eberhardt",
                PhoneNumber = 4408452241930
            };

            var viewModel = new ContactDetailsViewModel(details);

            this.DataContext = viewModel;
        }
    }
}
